# Get a Product Set Retrieves products from the specified product set (configured for Competition Data API). >Information: >You can retrieve the product set's label (that is required in the URL of this endpoint as a parameter) using the /fetch/PCOMPCO endpoint. --- Required Permission| Roles with the Required Permission | ---------|----------| PRODUCTCOMPETITION_FETCH | Data Integration (DATAINTEGRATION), View Competition Data (PB_COMPETITION_RO), Manage Products (PB_PRODUCTEDITOR), Administer Products (PB_PRODUCTS), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage Product Details Only (PB_PDETAILSEDITOR), Manage Products & Use EC (PB_PRODUCTEDITOR_EC), Manage Competition Data (PB_COMPETITION) Endpoint: POST /productmanager.fetchproductsetcompetition/{label} Security: basic, X-PriceFx-jwt ## Path parameters: - `label` (string, required) Enter the name of the product set you want to retrieve. ## Request fields (application/json): - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. ## Response 200 fields (application/json): - `response` (object, required) - `response.node` (string) - `response.csrfToken` (string) - `response.startRow` (number) - `response.data` (array) - `response.data.products` (array) - `response.data.products.id` (string, required) - `response.data.products.attributes` (array) - `response.data.products.attributes.field` (string, required) - `response.data.products.attributes.value` (any) - `response.data.options` (array) - `response.endRow` (number) - `response.totalRows` (number) - `response.status` (number)